diff --git a/web/pgadmin/static/js/alertifyjs/pgadmin.defaults.js b/web/pgadmin/static/js/alertifyjs/pgadmin.defaults.js
index e09d593..b5caf77 100644
--- a/web/pgadmin/static/js/alertifyjs/pgadmin.defaults.js
+++ b/web/pgadmin/static/js/alertifyjs/pgadmin.defaults.js
@@ -132,7 +132,6 @@ function(alertify, S) {
     if(self.pgResizeTimeout) {
       return;
     }
-    console.log('test');

     self.pgResizeTimeout = setTimeout(
       function() {
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 4466c1c..7431765 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -969,7 +969,7 @@
     showGridControl: function(data) {
       var gridHeader = _.template([
           '<div class="subnode-header">',
-          '  <label class="control-label pg-el-sm-4"><%-label%></label>',
+          '  <label class="control-label pg-el-sm-10"><%-label%></label>',
           '  <button class="btn-sm btn-default add" <%=canAdd ? "" : "disabled=\'disabled\'"%>><%-add_label%></buttton>',
           '</div>'].join("\n")),
         gridBody = $('<div class="pgadmin-control-group backgrid form-group pg-el-xs-12 object subnode"></div>').append(
@@ -1202,7 +1202,7 @@
     },
     showGridControl: function(data) {
       var gridHeader = ["<div class='subnode-header'>",
-          "  <label class='control-label pg-el-sm-4'>" + data.label + "</label>" ,
+          "  <label class='control-label pg-el-sm-10'>" + data.label + "</label>" ,
           "  <button class='btn-sm btn-default add'>ADD</buttton>",
           "</div>"].join("\n");
         gridBody = $("<div class='pgadmin-control-group backgrid form-group pg-el-xs-12 object subnode'></div>").append(gridHeader);
diff --git a/web/pgadmin/tools/restore/templates/restore/js/restore.js b/web/pgadmin/tools/restore/templates/restore/js/restore.js
index bb7982e..ef731c6 100644
--- a/web/pgadmin/tools/restore/templates/restore/js/restore.js
+++ b/web/pgadmin/tools/restore/templates/restore/js/restore.js
@@ -286,7 +286,7 @@ define([
       },
       // Callback to draw Backup Dialog for objects
       restore_objects: function(action, treeItem) {
-        var title = '{{ _('Restore') }}',
+        var title = S('{{ 'Restore (%s: %s)' }}'),
             tree = pgBrowser.tree,
             item = treeItem || tree.selected(),
             data = item && item.length == 1 && tree.itemData(item),
@@ -295,6 +295,8 @@ define([
         if (!node)
           return;

+        title = title.sprintf(node.label, data.label).value();
+
         if(!alertify.pg_restore) {
           // Create Dialog title on the fly with node details
           alertify.dialog('pg_restore' ,function factory() {
@@ -319,10 +321,10 @@ define([
                     url: '{{ url_for('help.static', filename='restore_dialog.html') }}'}
                   },{
                     text: '{{ _('Restore') }}', key: 27,
-                    className: 'btn btn-primary', restore: true
+                    className: 'btn btn-primary fa fa-upload pg-alertify-button', restore: true
                   },{
                     text: '{{ _('Cancel') }}', key: 27,
-                    className: 'btn btn-danger', restore: false
+                    className: 'btn btn-danger fa fa-lg fa-times pg-alertify-button', restore: false
                   }],
                   // Set options for dialog
                   options: {
@@ -379,7 +381,7 @@ define([
                   el: $container, model: newModel, schema: fields
                 });

-                $(this.elements.body.childNodes[2]).addClass(
+                $(this.elements.body.childNodes[0]).addClass(
                   'alertify_tools_dialog_properties obj_properties'
                 );

